How To
Documentation
    Learn More

      Software Requirements

      This software is required to use App Studio and Appkit to develop, build, and deploy search apps.

      Software Version and Notes

      Appkit

      A version of Appkit is included in each App Studio release. Appkit is also released independently. For information about upgrading an app to use a later version of Appkit, see link:/how-to/791/upgrade-appkit-in-existing-apps [Upgrade Appkit in existing apps].

      Oracle Java 8 JDK or above

      Download and install the Oracle Java SE JDK 8 or newer for Windows or Linux (it comes pre-installed on Macs).

      Node.js 8 or above

      Download and install Node.js 8 or above.

      npm

      The npm package manager is included with Node.js.